#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <errno.h>

#include <iostream>
#include "Flist.h"

using namespace std;

int main(int argc, char *argv[]){
  Flist *fl = new Flist();
  int fd;
  string filename;

  if (argc > 1) {
    fl->Run(argv[1]);
  } else {
    fl->Run(".");
  }
  sleep(4);  // give it time to catchup
  while ( (filename = fl->getNextItem()) != fl->getLastItem() ) {
    //cout << filename <<endl;
    fd = open( filename.c_str(),  O_RDONLY); 
    if (fd == -1) {
      perror("testlist:");
      //fprintf(stdout, "couldnt open file '%s', trying again\n", filename.c_str());
    } else {
      fprintf(stdout, "opened '%s'\n", filename.c_str());
    }
    close(fd);
    //sleep(1);
  }
  return 0;
  //cout << fl->getNextItem() <<endl;
  //cout << fl->getLastItem() <<endl;
  //cout << fl->getFirstItem() <<endl;
  //cout << fl->getNextItem() <<endl;
  //fl->PrintList();

}
